<%= form_for @event, remote: true, :html => { :id => "newEvent" } do |f|%>

	<% if @event.errors.any? %>
    <ul class='errors'>
      <% @event.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
    </ul>
  <% end %>

	<div class="form-group">
		<div class="form-group col-md-12">
			<%= f.label :cover_image %><br />
			<%= f.file_field :cover_image, class: "form-control normal" %>
		</div>

		<div class="form-group col-md-12 mt-4">
			<%= f.label :organizer %><br />
			<%= f.select :organizable_id, [[current_user&.email, current_user&.id]], {}, { class: "form-control normal" } %>
		</div>

		<div class="form-group col-md-12 mt-4">
			<%= f.label :event_type %><br />
			<%= f.radio_button:event_type,'own company', :checked => (f.object.event_type == "own company") %><label>Online</label>
			<%= f.radio_button:event_type,'other company', :checked => (f.object.event_type != "other company") %><label>In person</label>
		</div>

		<div class="form-group col-md-12 mt-3">
			<%= f.label :event_name %><br />
			<%= f.text_field :name, class: "form-control" %>
		</div>

		<div class="form-group col-md-12 mt-3">
			<%= f.label :timezone %><br />
			<%= f.select :timezone, Event::TIME_ZONES, {}, { class: "form-control normal" } %>
		</div>

		<div class="form-group col-md-12 mt-3">
			<%= f.label :start_date_and_time %><br />
			<%= f.text_field :start_date_time, class: "form-control startPicker" %>
		</div>

		<div class="form-group col-md-12 mt-3">
			<%= f.label :end_date_and_time %><br />
			<%= f.text_field :end_date_time, class: "form-control endPicker", disabled: 'disabled' %>
		</div>

		<div class="form-group col-md-12 mt-3">
			<%= f.label :description %><br />
			<%= f.text_area :description, class: "form-control" %>
		</div>

		<%= f.fields_for :event_users do |ff| %>
			<div class="form-group col-md-12 mt-3">
				<%= ff.label :add_speakers_from_your_connections %><br>
				<%= ff.collection_select :user_id, User.all, :id, :name_with_email,  {include_blank: true}, {:multiple => true, :class=>""} %> 
			</div>
		<% end %>
	</div>

	<div class="row mt-4">
		<div class="col-md-12">
			<div class="user-dashboard-info-box table-responsive mb-0 bg-white p-4">
				<table class="table manage-candidates-top mb-0">
					<tbody id='speakers-list'>
						
					</tbody>
				</table>
			</div>
		</div>
	</div>
<% end %>

